Version
Date: 2014-12-13

org.apache.ivy.osgi.util

## Class Version

- java.lang.Object
- - org.apache.ivy.osgi.util.Version

- All Implemented Interfaces:
    java.lang.Comparable<Version>

      public class Version
      extends java.lang.Object
      implements java.lang.Comparable<Version>

  Provides OSGi version support.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Version(int major, int minor, int patch, java.lang.String qualifier)`
    `Version(java.lang.String versionStr)`
    `Version(java.lang.String versionStr, java.lang.String qualifier)`
    `Version(Version baseVersion, java.lang.String extraQualifier)` Build a version from another one while appending an extra qualifier

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Version other)`
    `int` | `compareUnqualified(Version other)`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.String` | `qualifier()`
    `java.lang.String` | `toString()`
    `Version` | `withNudgedPatch()`
    `Version` | `withoutQualifier()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Version

          public Version(java.lang.String versionStr,
                 java.lang.String qualifier)
                  throws java.text.ParseException

      Throws:
        `java.text.ParseException`

    - #### Version

          public Version(java.lang.String versionStr)
                  throws java.text.ParseException

      Throws:
        `java.text.ParseException`

    - #### Version

          public Version(int major,
                 int minor,
                 int patch,
                 java.lang.String qualifier)

    - #### Version

          public Version(Version baseVersion,
                 java.lang.String extraQualifier)

      Build a version from another one while appending an extra qualifier
      Parameters:
        `baseVersion` -
        `qualifier` -

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### withNudgedPatch

          public Version withNudgedPatch()

    - #### withoutQualifier

          public Version withoutQualifier()

    - #### qualifier

          public java.lang.String qualifier()

    - #### compareUnqualified

          public int compareUnqualified(Version other)

    - #### compareTo

          public int compareTo(Version other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Version>`